Index: neutron/neutron/tests/unit/linuxbridge/test_lb_neutron_agent.py
===================================================================
--- neutron.orig/neutron/tests/unit/linuxbridge/test_lb_neutron_agent.py	2013-12-18 11:14:01.291233382 -0800
+++ neutron/neutron/tests/unit/linuxbridge/test_lb_neutron_agent.py	2013-12-18 11:14:01.287233382 -0800
@@ -45,6 +45,7 @@
 class TestLinuxBridge(base.BaseTestCase):
 
     def setUp(self):
+        self.skipTest("udev not consistently available in Ubuntu buildds")
         super(TestLinuxBridge, self).setUp()
         self.addCleanup(cfg.CONF.reset)
         interface_mappings = {'physnet1': 'eth1'}
@@ -157,6 +158,7 @@
 
 class TestLinuxBridgeManager(base.BaseTestCase):
     def setUp(self):
+        self.skipTest("udev not consistently available in Ubuntu buildds")
         super(TestLinuxBridgeManager, self).setUp()
         self.interface_mappings = {'physnet1': 'eth1'}
         self.root_helper = cfg.CONF.AGENT.root_helper
@@ -667,6 +669,7 @@
 
 class TestLinuxBridgeRpcCallbacks(base.BaseTestCase):
     def setUp(self):
+        self.skipTest("udev not  consistently available in Ubuntu buildds")
         cfg.CONF.set_override('local_ip', LOCAL_IP, 'VXLAN')
         self.addCleanup(cfg.CONF.reset)
         super(TestLinuxBridgeRpcCallbacks, self).setUp()
